# Visualization Library

A lightweight C++ OpenGL middleware for 2D/3D graphics

[Home] [Tutorials] [All Classes] [Grouped Classes]

Public Member Functions

# vl::GLSLTessEvaluationShader Class Reference

Wraps a GLSL tessellation evaluation shader to be bound to a GLSLProgram: this shader will run on the programmable tessellation processor in the evaluation stage. More...

`#include <GLSL.hpp>`

Inheritance diagram for vl::GLSLTessEvaluationShader:

List of all members.

## Public Member Functions

| GLSLTessEvaluationShader (const String &source=String())
virtual const char * | className ()
| Returns the name of the class.

## Detailed Description

Wraps a GLSL tessellation evaluation shader to be bound to a GLSLProgram: this shader will run on the programmable tessellation processor in the evaluation stage.

See also:
  GLSLVertexShader, GLSLFragmentShader, GLSLGeometryShader, GLSLTessControlShader, GLSLProgram, Effect

Definition at line 166 of file GLSL.hpp.

## Constructor & Destructor Documentation

vl::GLSLTessEvaluationShader::GLSLTessEvaluationShader | ( | const String & | source = `String()` ) | `[inline]`

Parameters:

  source | Tessellation-evaluation shader's source code or path to a text file containing the shader's source code.

Definition at line 170 of file GLSL.hpp.

References className(), and vl::Object::mObjectName.

## Member Function Documentation

virtual const char* vl::GLSLTessEvaluationShader::className | ( | ) | `[inline, virtual]`

Returns the name of the class.

Reimplemented from vl::GLSLShader.

Definition at line 177 of file GLSL.hpp.

Referenced by GLSLTessEvaluationShader().

The documentation for this class was generated from the following file:

- D:/VL/BuildSystem/VL_DISTRO/Visualization_Library_SDK/src/vlGraphics/GLSL.hpp

Visualization Library v2011.05.1142 Reference Documentation
Copyright 2005-2011 Michele Bosi. All rights reserved.
Updated on Thu May 26 2011 22:51:41.
Permission is granted to use this page to write and publish articles regarding Visualization Library.